<?php
/**
 * The template for displaying archive pages
 *
 * Used to display archive-type pages if nothing more specific matches a query.
 * For example, puts together date-based pages if no date.php file exists.
 *
 * If you'd like to further customize these archive views, you may create a
 * new template file for each one. For example, tag.php (Tag archives),
 * category.php (Category archives), author.php (Author archives), etc.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 * @subpackage blazeblog
 * @since BlazeBlog 1.0
 */

get_header(); ?>
<!-- ## content start ## -->
<div id="content">
    <!-- ## content container start ## -->
    <main id="container" class="container" role="main">
        <div class="row">
            <!-- ## primary content start ## -->
            <div id="primary" class="col-md-8 col-sm-12 col-xs-12">
                <?php if ( have_posts() ) : ?>

                <header class="page-header">
                    <?php
                          the_archive_title( '<h1 class="page-title">', '</h1>' );
                          the_archive_description( '<div class="taxonomy-description">', '</div>' );
                    ?>
                </header>

                <?php
                    // Start the Loop.
                    while ( have_posts() ) :
                        the_post();

                        /*
                        * Include the Post-Format-specific template for the content.
                        * If you want to override this in a child theme, then include a file
                        * called content-___.php (where ___ is the Post Format name) and that will be used instead.
                        */
                        get_template_part( 'template-parts/content', get_post_format() );

                        // End the loop.
                    endwhile;

                    // Previous/next page navigation.
                    the_posts_pagination( array(
                        'prev_text'          => __( 'Previous page', 'blazeblog' ),
                        'next_text'          => __( 'Next page', 'blazeblog' ),
                        'before_page_number' => '<span class="meta-nav screen-reader-text">' . __( 'Page', 'blazeblog' ) . ' </span>',
                    ) );

                    // If no content, include the "No posts found" template.
                else :
                    get_template_part( 'template-parts/content', 'none' );

                endif;
                ?>
            </div>
            <!-- ## primary content end ## -->
            <!-- ## sidebar secondary start ## -->
            <?php get_sidebar(); ?>
            <!-- ## sidebar secondary end ## -->
        </div>
    </main>
    <!-- ## content container end ## -->
</div>
<!-- ## content end ## -->
<?php get_footer(); ?>
