<?php
/**
 * The template for displaying comments
 *
 * The area of the page that contains both current comments
 * and the comment form.
 *
 * @package WordPress
 * @subpackage blazeblog
 * @since BlazeBlog 1.0
 */

/*
 * If the current post is protected by a password and
 * the visitor has not yet entered the password we will
 * return early without loading the comments.
 */
if ( post_password_required() ) {
	return;
}
?>

<?php if ( have_comments() ) : ?>
<!-- ## comments start ## -->
<div id="comments" class="comments-area">
    <div class="col-sm-12 col-xs-12">
        <!-- ## comments-title start ## -->
        <h2 class="comments-title">
            <?php
          $comments_number = get_comments_number();
          if ( 1 === $comments_number ) {
              /* translators: %s: post title */
              printf( _x( 'One thought on &ldquo;%s&rdquo;', 'comments title', 'blazeblog' ), get_the_title() );
          } else {
              printf(
                  /* translators: 1: number of comments, 2: post title */
                  _nx(
                      '%1$s thought on &ldquo;%2$s&rdquo;',
                      '%1$s thoughts on &ldquo;%2$s&rdquo;',
                      $comments_number,
                      'comments title',
                      'blazeblog'
                  ),
                  number_format_i18n( $comments_number ),
                  get_the_title()
              );
          }
            ?>
        </h2>
        <!-- ## comments-title end ## -->

        <?php the_comments_navigation(); ?>

        <!-- ## comments-list start ## -->
        <ul class="comment-list media-list">
            <?php
          wp_list_comments( array(
              'style'       => 'ul',
              'short_ping'  => true,
              'avatar_size' => 45,
              'callback'    => 'blazeblog_comment',
              'type'        => 'all'
          ) );
            ?>
        </ul>
        <!-- ## comments-list end ## -->

        <?php the_comments_navigation(); ?>

    </div>
    <div class="clearfix"></div>
</div>
<!-- ## comments end ## -->
<?php endif; // Check for have_comments(). ?>

<?php
// If comments are closed and there are comments, let's leave a little note, shall we?
if ( ! comments_open() && get_comments_number() && post_type_supports( get_post_type(), 'comments' ) ) :
?>
<p class="no-comments"><?php _e( 'Comments are closed.', 'blazeblog' ); ?></p>
<?php endif; ?>

<?php if ( comments_open() ) : ?>
<!-- ## comments-reply-form start ## -->
<div id="comments-reply-form" class="comments-area">
    <div class="col-sm-12">
        <?php
          blazeblog_comment_form(); 
        ?>
    </div>
<div class="clearfix"></div>
</div>
<!-- ## comments-reply-form end ## -->
<?php endif; ?>
