<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after
 *
 * @package WordPress
 * @subpackage blazeblog
 * @since BlazeBlog 1.0
 */
?>
</div>
        <!-- ## main end ## -->
</div>
        <!-- ## main container end ## -->

<!-- ## footer start ## -->
<footer id="footer">
    <?php get_sidebar( 'footer' ); ?>

    <!-- ## footer-copyright start ## -->
    <div class="footer-copyright">
        <div id="footer-copyright-container" class="container">
            <div class="row">
                <div class="col-sm-6">
                    <p class="site-copyright">
                        <span class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></span>
                        <a href="<?php echo esc_url( __( 'https://wordpress.org/', 'blazeblog' ) ); ?>"><?php printf( __( 'Proudly powered by %s', 'blazeblog' ), 'WordPress' ); ?></a>
                    </p>
                </div>
                <?php if ( has_nav_menu( 'social' ) ) : ?>
                <div class="col-sm-6">
                    <nav class="social-navigation" role="navigation" aria-label="<?php esc_attr_e( 'Footer Social Links Menu', 'blazeblog' ); ?>">
                        <?php
                          wp_nav_menu( array(
                              'theme_location' => 'social',
                              'menu_class'     => 'social-links-menu',
                              'depth'          => 1,
                              'link_before'    => '<span class="screen-reader-text">',
                              'link_after'     => '</span>',
                          ) );
                        ?>
                    </nav>
                </div>
                <!-- .social-navigation -->
                <?php else : ?>
                    <?php if( current_user_can( 'edit_theme_options' ) ) : ?>
                    <div class="col-sm-6">
                        <nav class="nav-dropdown-menu social-navigation" role="navigation" aria-label="<?php esc_attr_e( 'Footer Social Links Menu', 'blazeblog' ); ?>">
                            <ul class="nav navbar-nav navbar-right">
                                <li class="menu-item menu add-new">
                                    <a href="<?php echo esc_url( admin_url( '/nav-menus.php' ) ); ?>"><?php _e( 'Add A Social Menu', 'blazeblog' ); ?></a>
                                </li>
                            </ul>
                        </nav>
                    </div>
                    <?php endif; ?>
                <?php endif; ?>
            </div>
        </div>
    </div>
    <!-- ## footer-copyright end ## -->
</footer>
<!-- ## footer end ## -->

<?php wp_footer(); ?>

</div>
<!-- ## page-wrapper end ## -->
</body>
</html>