<?php
/**
 * Template for displaying search forms in Twenty Sixteen
 *
 * @package WordPress
 * @subpackage blazeblog
 * @since BlazeBlog 1.0
 */
?>

<!-- ## searchbar start ## -->
<form method="get" id="searchbar" action="<?php echo esc_url( home_url( '/' ) ); ?>">
    <span class="screen-reader-text"><?php echo _x( 'Search for:', 'label', 'blazeblog' ); ?></span>
    <div class="input-group">
        <!-- ## search field ## -->
        <input type="search" name="s" id="searchbar-s" class="form-control" placeholder="<?php echo esc_attr_x( 'Search &hellip;', 'placeholder', 'blazeblog' ); ?>"  value="<?php echo get_search_query(); ?>" title="<?php echo esc_attr_x( 'Search for:', 'label', 'blazeblog' ); ?>" />
        <span class="input-group-btn">
            <!-- ## search button ## -->
            <button type="submit" id="btn-searchbar" class="btn"><span class="fa fa-search"></span></button>
        </span>
    </div>
</form>
<!-- ## searchbar end ## -->