<?php
/**
 * The template for displaying all single posts and attachments
 *
 * @package WordPress
 * @subpackage blazeblog
 * @since BlazeBlog 1.0
 */

get_header(); ?>
<!-- ## content start ## -->
<div id="content">
    <main id="container" class="container" role="main">
        <div class="row">
            <!-- ## primary content start ## -->
            <div id="primary" class="col-md-8 col-sm-12 col-xs-12">
                <?php
                // Start the loop.
                while ( have_posts() ) :
                    the_post();

                    if ( is_singular( 'post' ) ) {
                        // Include the single post content template.
                        get_template_part( 'template-parts/content', 'single' );
                    } else if ( is_singular( 'attachment' ) ) {
                        get_template_part( 'template-parts/content', 'attachment' );
                    }

                    // If comments are open or we have at least one comment, load up the comment template.
                    if ( comments_open() || get_comments_number() ) {
                        comments_template();
                    }

                    if ( is_singular( 'attachment' ) ) {
                        // Parent post navigation.
                        the_post_navigation( array(
                            'prev_text' => _x( '<span class="meta-nav">Published in</span><span class="post-title">%title</span>', 'Parent post link', 'blazeblog' ),
                        ) );
                    } elseif ( is_singular( 'post' ) ) {
                        // Previous/next post navigation.
                        the_post_navigation( array(
                            'next_text' => '<span class="meta-nav" aria-hidden="true">' . __( 'Next', 'blazeblog' ) . '</span> ' .
                                '<span class="screen-reader-text">' . __( 'Next post:', 'blazeblog' ) . '</span> ' .
                                '<span class="post-title">%title</span>',
                            'prev_text' => '<span class="meta-nav" aria-hidden="true">' . __( 'Previous', 'blazeblog' ) . '</span> ' .
                                '<span class="screen-reader-text">' . __( 'Previous post:', 'blazeblog' ) . '</span> ' .
                                '<span class="post-title">%title</span>',
                        ) );
                    }

                    // End of the loop.
                endwhile;
                ?>
                <?php get_sidebar( 'content-bottom' ); ?>
            </div>
            <!-- ## primary content end ## -->
            <!-- ## sidebar secondary start ## -->
            <?php get_sidebar(); ?>
            <!-- ## sidebar secondary end ## -->
        </div>
    </main>
</div>
<!-- ## content end ## -->
<?php get_footer(); ?>
