<?php
/**
 * The template part for displaying an Author biography
 *
 * @package WordPress
 * @subpackage blazeblog
 * @since BlazeBlog 1.0
 */
?>
<div class="row">
    <div class="col-sm-12">
        <div class="author-info">

            <div class="author-description col-xs-12">
                <h2 class="author-title"><span class="author-heading"><?php _e( 'Author:', 'blazeblog' ); ?></span> <?php echo get_the_author(); ?></h2>

                <p class="author-bio">
                    <div class="author-avatar">
                        <?php
                        /**
                         * Filter the BlazeBlog author bio avatar size.
                         *
                         * @since BlazeBlog 1.0
                         *
                         * @param int $size The avatar height and width size in pixels.
                         */
                        $author_bio_avatar_size = apply_filters( 'blazeblog_author_bio_avatar_size', 96 );
                        echo get_avatar( get_the_author_meta( 'user_email' ), $author_bio_avatar_size, '', get_the_author(), array( 'class' => '' ) );
                        ?>
                    </div>
                    <!-- .author-avatar -->

                    <?php the_author_meta( 'description' ); ?>
                </p>

                <a class="btn btn-default btn-sm btn-author-link" href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>" rel="author">
                    <?php printf( __( 'View all posts by %s', 'blazeblog' ), get_the_author() ); ?>
                </a>

            </div>
            <div class="clearfix"></div>
        </div>
    </div>
</div>
