<?php
/**
 * The template part for displaying a message that posts cannot be found
 *
 * @package WordPress
 * @subpackage blazeblog
 * @since BlazeBlog 1.0
 */
?>
<div class="row">
    <div class="col-sm-12">
        <article class="no-results not-found page">
            <header class="entry-header col-sm-12">
                <h1 class="entry-title"><?php _e( 'Nothing Found', 'blazeblog' ); ?></h1>
            </header>

            <div class="entry-content col-sm-12">
                <?php if ( is_home() && current_user_can( 'publish_posts' ) ) : ?>

                <p><?php printf( __( 'Ready to publish your first post? <a href="%1$s">Get started here</a>.', 'blazeblog' ), esc_url( admin_url( 'post-new.php' ) ) ); ?></p>

                <?php elseif ( is_search() ) : ?>

                <p><?php _e( 'Sorry, but nothing matched your search terms. Please try again with some different keywords.', 'blazeblog' ); ?></p>
                <?php get_search_form(); ?>

                <?php else : ?>

                <p><?php _e( 'It seems we can&rsquo;t find what you&rsquo;re looking for. Perhaps searching can help.', 'blazeblog' ); ?></p>
                <?php get_search_form(); ?>

                <?php endif; ?>
            </div>
        </article>
    </div>
</div>
<div class="clearfix"></div>
