<?php
/**
 * The template part for displaying results in search pages
 *
 * @package WordPress
 * @subpackage blazeblog
 * @since BlazeBlog 1.0
 */
?>
<div class="row">
    <div class="col-sm-12">
        <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
            <?php blazeblog_post_thumbnail(); ?>

            <header class="entry-header col-sm-12">
                <?php the_title( sprintf( '<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>
                <?php if(empty(get_the_title())) :?>
                <div class="empty-entry-title"></div>
                <?php endif; ?>
            </header>

            <?php if ( 'post' === get_post_type() ) : ?>
            <div class="entry-content col-sm-8">
                <?php
                    echo blazeblog_the_content();
                ?>
            </div>

            <footer class="entry-footer col-sm-4">
                <?php blazeblog_entry_meta(); ?>
                <?php
                      edit_post_link(
                          sprintf(
                              /* translators: %s: Name of current post */
                              __( 'Edit<span class="screen-reader-text"> "%s"</span>', 'blazeblog' ),
                              get_the_title()
                          ),
                          '<span class="edit-link">',
                          '</span>'
                      );
                ?>
            </footer>

            <?php else : ?>

            <div class="entry-content col-sm-12">
                <?php
                    echo blazeblog_the_content();
                ?>
            </div>

            <footer class="entry-footer col-sm-12">
                <?php
                      edit_post_link(
                          sprintf(
                              /* translators: %s: Name of current post */
                              __( 'Edit<span class="screen-reader-text"> "%s"</span>', 'blazeblog' ),
                              get_the_title()
                          ),
                          '<span class="edit-link">',
                          '</span>',
                          get_the_ID(),
                          'post-edit-link btn btn-sm btn-default'
                      );
                ?>
            </footer>

            <?php endif; ?>
        </article>
    </div>
</div>
<div class="clearfix"></div>
